{% extends 'admin/adminbase.html.twig' %}
{% import "macros/datatable.html.twig" as dt %}

{% block moreCss %}
    <link href="{{ asset('dropify/css/dropify.css') }}" rel="stylesheet">

{% endblock %}

{% block body %}
    <div class="card-genossys">
        <h5>Subscription Tryout : {{ data.name }}</h5>
        <div class="pb-5">
            <div class="float-right">
                <a class="btn btn-success" data-toggle="modal" data-target="#modalReward">Tambah Pricing</a>
            </div>
        </div>
        {{ dt.datatable }}
    </div>
    <div class="modal fade" id="modalReward" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle"
         aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document" style="max-width: 50%">
            <div class="modal-content">
                <form id="formCategori" method="post">
                    <input class="d-none" name="action" type="text" value="post">
                    <input class="d-none" name="id" type="text">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLongTitle">Subscription</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="form-group">
                            <label for="subjek">Nama Paket : </label>
                            <input type="text" class="form-control" id="name" name="name" placeholder="Harga">
                        </div>
                        <div class="form-group">
                            <label for="subjek">Deskripsi : </label>
                            <input type="text" class="form-control" id="description" name="description" placeholder="Deskripsi">
                        </div>
                        <div class="form-group">
                            <label for="subjek">Harga : </label>
                            <input type="number" class="form-control" id="rules" name="price" placeholder="Harga">
                        </div>

                        <div class="form-row">
                            <div class="form-group col-md-6">
                                <label for="subjek">Durasi : </label>
                                <input type="number" class="form-control" id="title" name="duration"
                                       placeholder="Jumlah bulan">
                            </div>
                        </div>


                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary">Simpan</button>
                    </div>

                </form>
            </div>
        </div>
    </div>
{% endblock %}

{% block javascripts %}
    {{ dt.datatableJS(class, space, tableAction, tableFields,where) }}
    <script src="{{ asset('js/formatter.js') }}"></script>
    <script>
        $(function () {
            $(".float-right").append("<a class='btn btn-warning'>Harga Normal : " + currency({{ data.price }}) +"</a>");
        });
        $(document).on('click', 'a#editData', function () {
            $("[name='action']").val("edit");
            $("[name='id']").val($(this).data('cred'));
            $("[name='price']").val($(this).data('price'));
            $("[name='description']").val($(this).data('description'));
            $("[name='name']").val($(this).data('name'));
            $("[name='duration']").val($(this).data('duration'));
            $("#modalReward").modal('show');
        });
    </script>
{% endblock %}